
This is a quick hack to do a logo under NeWS.

It isn't a full logo, it is postfix notation, and you use PostScript
for your loops, vars, and functions.

Other then that... what else can be said for a 2 hour hack.

I would like to see a X program do this in 190 lines!

to run:

% psh logo

% psh use

Look at use as a example on how to write programs.  Or use can
do the following after loading logo.

% psh
executive LOGO begin MakeWin clearscreen

and then type in the logo commands at the command line.

Commands:
	penup (pu)
	pendown (pd)
	penerase (pe)
	penreverse (px)
	hideturtle (ht)
	showturtle (st)
	setheading (seth)
	left (lt)
	right (rt)
	forward (fd)
	back (bk)
	setxy
	clearscreen (cs)
	wipeclean (clean)
	shownp
	pencolor (penc)
	screencolor (sc)

			--Josh Siegel

Tue Jan 24 16:11 MST 1989
